#include "me_iostm8s003f3.h"
#include "uart.h"
#include <intrinsics.h>
#define LED_out ODRA.P3
#define LED_BLINK() LED_out=!LED_out

#pragma vector = 5
__interrupt void  EXTI0_vector_IRQHandler (void)
{
  LED_BLINK();
}

void LED_INIT (void){

  DDRA.P3=1;
  CR1A.P3 = 1;
  CR2A.P3=1;
  ODRA.P3=1;
}

void Delay (void)
{
  unsigned int counter =0;
  for (counter =0;counter < 65535; counter+=1);
}

int main( void ) 
{
	CLK_CKDIVRA = 0x00;
	CLK_PCKENR1 = 0xFF; // Enable peripherals
        
       LED_INIT ();
       
       // interrupt on port A pin 2 
       DDRA.P2=0;
       CR1A.P2 = 1; // pull Up
       CR2A.P2 = 1;
       EXTI_CR1.A = 2; // 00: Falling edge and low level
                       // 01: Rising edge only
                       // 10: Falling edge only
                       // 11: Rising and falling edge
       __enable_interrupt();
       while (1);
}
